# Generated from pstree-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pstree

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Ruby library that builds a process tree of this host
License: GPL-2
URL: http://flori.github.com/pstree
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(gem_hadar) >= 1.9.1
# BuildRequires: rubygem(gem_hadar) < 1.10
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
This library uses the output of the ps command to creaste process tree data
structure for the current host.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/ruby-pstree
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/pstree.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.3.0-1
- Initial package
